Subject: bug#21225: 25.0.50; doc strings of `define-obsolete-*'

From: Stefan Monnier <[email-masked]>
Date: Tue, 11 Aug 2015 12:07:46 -0400

>> The doc (doc strings and manual) should make clear that the args
>> are evaluated.  This is not obvious, as these are macros.
> Yes please. Everytime I use these I have to manually check their
> behavior because I'm never sure just by reading the docstring.

Maybe a better fix is to turn them into functions (which basically
means, to add special support for them in the byte-compiler, since
that's the only reason they're defined as macros, AFAIK).

        Stefan